Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
avatar
/
upload
Upload Avatar Media
curl --request POST \
  --url https://api.example.com/api/v1/teams/{team_id}/avatar/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'video=<string>' \
  --form consent_attestation=true \
  --form subject_is_minor=true
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

multipart/form-data
video
string
required
subject_is_minor
boolean
required

Response

Successful Response